"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dot_prop_1 = __importDefault(require("dot-prop"));
exports.default = async (app) => {
    app.get('/', (request, reply) => {
        reply.send(config.config);
    });
    app.get('/:path', async (request, reply) => {
        const value = dot_prop_1.default.get(config.config, request.params.path);
        if (value == null)
            return reply.code(404).send(new Error(`Config property ${request.params.path} does not exist!`));
        reply.send(value);
    });
    app.post('/:path', async (request, reply) => {
        await config.set(request.params.path, request.body);
        reply.send(request.body);
    });
    app.delete('/:path', async (request, reply) => {
        await config.set(request.params.path, null);
        reply.code(200).send();
    });
};
