"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const Logger_1 = __importDefault(require("../logger/Logger"));
// @ts-ignore
global.logger = new Logger_1.default(process.env.MISCORD_LOG_LEVEL || 'info');
const error_1 = __importStar(require("../error"));
const gzipOldLogs_1 = __importDefault(require("../logger/gzipOldLogs"));
const inject_1 = __importDefault(require("../logger/inject"));
const getConfig_1 = __importDefault(require("../config/getConfig"));
const index_1 = __importDefault(require("../index"));
function launch() {
    logger.success(`Worker process ${process.pid} started.`);
    error_1.initSentry();
    const dataPath = process.env.DATA_PATH !== 'undefined' ? process.env.DATA_PATH : undefined;
    const launch = async () => {
        if (!process.env.STORAGE_URL)
            await gzipOldLogs_1.default(dataPath);
    };
    launch()
        .then(() => inject_1.default(dataPath))
        .then(() => getConfig_1.default(dataPath))
        .then(index_1.default)
        .catch(err => error_1.default(err));
    const catchError = (error) => {
        if (!error)
            return;
        error_1.default(error);
    };
    // @ts-ignore
    process.on('unhandledRejection', catchError);
    process.on('uncaughtException', catchError);
}
exports.default = launch;
