import { Message, MessageOptions, RichEmbed, TextChannel } from 'discord.js';
declare type ReplyFunction = (messsage: string, params: MessageOptions | RichEmbed) => Promise<Message | Message[]>;
interface CommandOptions {
    argc: number;
    usage: string;
    example: string;
    allowMoreArguments?: boolean;
}
declare type CommandHandler = (argv: string[], reply: ReplyFunction) => Promise<string | void | MessageOptions> | string | void | MessageOptions;
export default class Command {
    handler: CommandHandler;
    constructor(handler: CommandHandler, options?: CommandOptions);
    run(argv: string[], channel: TextChannel): Promise<void>;
}
export declare class ExtendedCommand extends Command {
    skipCheck: boolean;
    argc: number;
    usage: string;
    example: string;
    allowMoreArguments: boolean;
    constructor(handler: CommandHandler, options: CommandOptions);
    run(argv: string[], channel: TextChannel): Promise<void>;
    handleArgc(argv: string[], channel: TextChannel): boolean;
}
export {};
