"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dot_prop_1 = __importDefault(require("dot-prop"));
const Command_1 = __importDefault(require("./Command"));
exports.default = new Command_1.default(async (argv) => {
    const [key, ...value] = argv;
    if (!value.length) {
        const configValue = dot_prop_1.default.get(config.config, key);
        return `\`config.${key}\` is set to \`${typeof configValue === 'string' ? configValue : JSON.stringify(configValue)}\``;
    }
    let val = value.join(' ');
    if (val === 'true')
        val = true;
    if (val === 'false')
        val = false;
    // tslint:disable-next-line:no-eval
    if (/^`.+`$/.test(val))
        val = eval(val.match(/^`(.+)`$/)[1]);
    await config.set(key, val);
    return `\`config.${key}\` was set to \`${JSON.stringify(val)}\`.`;
}, {
    argc: 1,
    usage: `config <key> [value]`,
    example: `config discord.massMentions true`,
    allowMoreArguments: true
});
