"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = __importDefault(require("./Command"));
exports.default = new Command_1.default(async (argv) => {
    let name = argv[0];
    let connection = connections.get(name);
    if (!connection) {
        connection = connections.getWith(name);
        name = connection.name;
    }
    if (!connection)
        return `Connection \`${name}\` not found!`;
    return {
        embed: {
            title: `Connection: ${name}`,
            description: connection.getPrintable()
        }
    };
}, {
    argc: 1,
    usage: `info <connection name/Discord channel ID/Facebook thread ID>`,
    example: `info test-connection`
});
