"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const FileConfig_1 = __importStar(require("./FileConfig"));
const RemoteConfig_1 = __importDefault(require("./RemoteConfig"));
const Config_1 = __importDefault(require("./Config"));
exports.default = async (dataPath = FileConfig_1.getConfigDir()) => {
    // if any of the optional values is undefined, return default value
    global.config = await getConfig(dataPath);
};
async function getConfig(dataPath) {
    let config;
    if (process.env.STORAGE_URL) {
        config = new RemoteConfig_1.default();
    }
    else {
        config = new FileConfig_1.default(dataPath);
    }
    await config.load();
    config.validate();
    return Config_1.default.proxify(config);
}
