"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// https://stackoverflow.com/a/48218209/
function mergeDeep(...objects) {
    const isObject = (obj) => obj && typeof obj === 'object' && !Array.isArray(obj);
    return objects.reduce((prev, obj) => {
        Object.keys(obj).forEach(key => {
            if (obj[key] == null && prev[key] != null)
                return;
            prev[key] = isObject(prev[key]) && isObject(obj[key]) ? mergeDeep(prev[key], obj[key]) : obj[key];
        });
        return prev;
    }, {});
}
exports.default = mergeDeep;
