"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const discord_js_1 = require("discord.js");
const commands_1 = __importDefault(require("./commands"));
const log = logger.withScope('handleCommand');
const hasAdmin = (user, guild) => guild.members.find(member => member.id === user.id).hasPermission('ADMINISTRATOR') || guild.ownerID === user.id;
exports.default = ({ content, author, channel }) => {
    log.info('Command received!');
    content = content.trim();
    let command = content.trim().split(' ')[0];
    const argv = content.replace(command, '').split(' ').map(str => str.trim()).filter(str => str);
    if (!command)
        command = 'help';
    if (!Object.keys(commands_1.default).includes(command))
        return channel.send(`Command \`${command}\` not found!`);
    if (command === 'eval' && (channel instanceof discord_js_1.TextChannel) && !hasAdmin(author, channel.guild))
        return channel.send(`You have no permission!`);
    if (command === 'config' && argv[1] && argv[1].startsWith('`') && (channel instanceof discord_js_1.TextChannel) && !hasAdmin(author, channel.guild))
        return channel.send(`You have no permission!`);
    // @ts-ignore Somehow TypeScript still doesn't allow me to get a command this way...
    commands_1.default[command].run(argv, channel);
};
