"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const login_1 = __importDefault(require("./login"));
const api_1 = __importDefault(require("./api"));
const listener_1 = __importDefault(require("./discord/listener"));
const listener_2 = __importDefault(require("./messenger/listener"));
const handleEvent_1 = __importDefault(require("./messenger/handleEvent"));
exports.default = () => {
    return login_1.default().then(() => {
        process.send('login successful');
        if (config.api && ((config.api.username && config.api.password) ||
            config.api.key))
            api_1.default();
        // when got a discord message
        discord.client.on('message', listener_1.default);
        // when got a messenger message
        messenger.client.on('message', listener_2.default);
        // when got a messenger event
        messenger.client.on('event', handleEvent_1.default);
    });
};
