export declare type Level = 'fatal' | 'error' | 'warn' | 'info' | 'start' | 'success' | 'debug' | 'trace';
export default class Logger {
    level: number;
    scopedLoggers: Logger[];
    scope?: string;
    constructor(level: number | Level, scope?: string);
    withScope(scope: string): Logger;
    setLevel(level: Level): void;
    private getScopeForLevel;
    private inspect;
    log(logLevel: Level, msg: string, obj?: any, depth?: number): void;
    fatal(message: string, object?: any, depth?: number): void;
    error(message: string, object?: any, depth?: number): void;
    info(message: string, object?: any, depth?: number): void;
    start(message: string, object?: any, depth?: number): void;
    success(message: string, object?: any, depth?: number): void;
    warn(message: string, object?: any, depth?: number): void;
    debug(message: string, object?: any, depth?: number): void;
    trace(message: string, object?: any, depth?: number): void;
}
