"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const zlib_1 = __importDefault(require("zlib"));
exports.default = (file) => new Promise((resolve, reject) => {
    let gzFile = `${file}.gz`;
    const filePath = path_1.default.resolve(file);
    const gzFilePath = path_1.default.resolve(gzFile);
    let gzip = zlib_1.default.createGzip();
    const inputStream = fs_1.default.createReadStream(filePath);
    const outStream = fs_1.default.createWriteStream(gzFilePath);
    inputStream.pipe(gzip).pipe(outStream);
    outStream.on('finish', () => {
        fs_1.default.unlinkSync(filePath);
        resolve();
    });
});
