"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const gzip_1 = __importDefault(require("./gzip"));
const FileConfig_1 = require("../config/FileConfig");
const fs_extra_1 = __importDefault(require("fs-extra"));
exports.default = async (configPath = FileConfig_1.getConfigDir()) => {
    logger.start('Compressing old logs...');
    let files;
    try {
        files = await fs_extra_1.default.readdir(path_1.default.join(configPath, 'logs'));
    }
    catch (err) {
        return;
    }
    await files
        .filter(file => file.endsWith('.log'))
        .map(file => path_1.default.join(configPath, 'logs', file))
        .reduce((promise, item) => promise.then(() => { gzip_1.default(item); }), Promise.resolve())
        .then(() => logger.success('All old logs compressed, starting Miscord'));
};
