"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const log = logger.withScope('login');
const ConnectionsManager_1 = __importDefault(require("./ConnectionsManager"));
const updateNotifier_1 = __importDefault(require("./updateNotifier"));
const messenger_1 = require("./messenger");
const discord_1 = require("./discord");
exports.default = async () => {
    logger.start('Launching Miscord v' + require('../package.json').version);
    log.start('Logging in...');
    log.trace('config', config);
    log.info('logLevel', config.logLevel);
    // check for updates if enabled in the config
    if (config.checkUpdates)
        await updateNotifier_1.default();
    global.connections = new ConnectionsManager_1.default();
    return discord_1.login()
        .then(messenger_1.login)
        .then(() => connections.load())
        .then(discord_1.fetchWebhooks)
        .then(() => log.success('Logged in'));
};
