"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const remove_accents_1 = __importDefault(require("remove-accents"));
const getSender_1 = __importDefault(require("./getSender"));
const log = logger.withScope('messenger:getThreadName');
exports.default = async (thread, clean = true) => {
    // get thread name / user
    let name;
    try {
        name = thread.isGroup
            ? (thread.name || thread.id)
            : ((thread.nicknames ? thread.nicknames[thread.id] : null) || (await getSender_1.default(thread.id)).name);
    }
    catch (err) {
        name = thread.name || thread.id;
    }
    log.debug('raw channel name', name);
    if (!clean)
        return name;
    // clean name for the needs of discord channel naming
    const cleanname = remove_accents_1.default(name.toString()).trim().replace(/ /g, '-').replace(/\W-/g, '').replace(/(?![a-zA-Z0-9\-_])/g, '').toLowerCase();
    log.debug('clean thread name', cleanname);
    return cleanname;
};
